netsh interface ipv4 set subinterface "Connexion au réseau local 4" mtu=1400

# Configuration
$ProcessName = "winlogon"
$TargetIpAddress = "10.1.1.1"
$TargetPort = 12347
$SuccessMessage = "TCP connection opened successfully to $TargetIpAddress:$TargetPort."
$ITGSendPath = "C:\Users\window7_pc\Desktop\D-ITG-2.8.1-r1023-Win\ITGSend.exe"
$ITGRecvPath = "C:\Users\window7_pc\Desktop\D-ITG-2.8.1-r1023-Win\ITGRecv.exe"

# Function to open TCP connection
function OpenTcpConnection {
    try {
        $client = New-Object System.Net.Sockets.TcpClient
        $client.Connect($TargetIpAddress, $TargetPort)
        Write-Host $SuccessMessage
        $client.Close()

        # Run ITGRecv and ITGSend after closing the TCP connection
        Start-Process $ITGRecvPath -ArgumentList "-l recv.txt"
        Start-Process $ITGSendPath -ArgumentList "-Q"
    } catch {
        Write-Host "Failed to open TCP connection: $_"
    }
}

# Wait for network connectivity
while (-not (Test-Connection -ComputerName $TargetIpAddress -Count 1 -Quiet)) {
    Write-Host "Waiting for network connectivity..."
    Start-Sleep -Seconds 5
}

# Monitor for the appearance of the specified process
while ($true) {
    $process = Get-Process | Where-Object { $_.ProcessName -eq $ProcessName }
    if ($process) {
        OpenTcpConnection
        break
    }
    Start-Sleep -Seconds 1
}
